NX Open C++ Reference Guide
|
Represents a CAE::GeneralGeometryBeamSectionBuilder
To create a new instance of this class, use CAE::BeamSectionCollection::CreateGeneralGeometryBeamSectionBuilder
Created in NX7.5.0.
More...
Public Member Functions | |
NXString | DescriptorName () |
Returns the section descriptor name Created in NX7.5.0. | |
void | SetDescriptorName (const NXString &descriptorName) |
Sets the section descriptor name Created in NX7.5.0. | |
void | SetDescriptorName (const char *descriptorName) |
Sets the section descriptor name Created in NX7.5.0. | |
void | SetSketch (NXOpen::CAE::SketchCurves *sketch) |
Sets the sketch to define geometry beam section Created in NX7.5.0. | |
NXOpen::CAE::SketchCurves * | Sketch () |
Returns the sketch to define geometry beam section Created in NX7.5.0. | |
![]() | |
void | GetUserDefinedStressRecoveryPoints (std::vector< NXOpen::Point2d > &points) |
Gets the user-defined stress recovery points. | |
NXOpen::CAE::PropertyTable * | PropertyTable () |
Returns the section builder's CAE::PropertyTable Created in NX7.5.0. | |
NXString | SectionName () |
Returns the section name Created in NX7.5.0. | |
void | SetSectionName (const NXString §ionName) |
Sets the section name Created in NX7.5.0. | |
void | SetSectionName (const char *sectionName) |
Sets the section name Created in NX7.5.0. | |
void | SetUserDefinedStressRecoveryPoints (const std::vector< NXOpen::Point2d > &points) |
Sets the user-defined stress recovery points. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a CAE::GeneralGeometryBeamSectionBuilder
To create a new instance of this class, use CAE::BeamSectionCollection::CreateGeneralGeometryBeamSectionBuilder
Created in NX7.5.0.
NXString NXOpen::CAE::GeneralGeometryBeamSectionBuilder::DescriptorName | ( | ) |
Returns the section descriptor name
Created in NX7.5.0.
License requirements : None
void NXOpen::CAE::GeneralGeometryBeamSectionBuilder::SetDescriptorName | ( | const NXString & | descriptorName | ) |
Sets the section descriptor name
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
descriptorName | descriptorname |
void NXOpen::CAE::GeneralGeometryBeamSectionBuilder::SetDescriptorName | ( | const char * | descriptorName | ) |
Sets the section descriptor name
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
descriptorName | descriptorname |
void NXOpen::CAE::GeneralGeometryBeamSectionBuilder::SetSketch | ( | NXOpen::CAE::SketchCurves * | sketch | ) |
Sets the sketch to define geometry beam section
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
sketch | sketch |
NXOpen::CAE::SketchCurves* NXOpen::CAE::GeneralGeometryBeamSectionBuilder::Sketch | ( | ) |
Returns the sketch to define geometry beam section
Created in NX7.5.0.
License requirements : None